Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class ForwardingSortedSetMultimap<K,V>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingMultimap<K,V>
              com.google.common.collect.ForwardingSetMultimap<K,V>
                  com.google.common.collect.ForwardingSortedSetMultimap<K,V>

All Implemented Interfaces:
  Multimap<K,V>, SetMultimap<K,V>, SortedSetMultimap<K,V>

    @GwtCompatible
    public abstract class ForwardingSortedSetMultimap<K,V>

extends ForwardingSetMultimap<K,V>
implements SortedSetMultimap<K,V>

A sorted set multimap which forwards all its method calls to another sorted set multimap. Subclasses should override one or more methods to modify the behavior of the backing multimap as desired per the decorator pattern.

Since:
  3.0
Author:
  Kurt Alfred Kluever

Constructor Summary
`protected` | `ForwardingSortedSetMultimap()` Constructor for use by subclasses.

Method Summary
`protected abstract SortedSetMultimap<K,V>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.
`SortedSet<V>` | `get(K key)` Returns a collection view of all values associated with a key.
`SortedSet<V>` | `removeAll(Object key)` Removes all values associated with a given key.
`SortedSet<V>` | `replaceValues(K key, Iterable<? extends V> values)` Stores a collection of values with the same key, replacing any existing values for that key.
`Comparator<? super V>` | `valueComparator()` Returns the comparator that orders the multimap values, with `null` indicating that natural ordering is used.

Methods inherited from class com.google.common.collect.ForwardingSetMultimap
`entries`

Methods inherited from class com.google.common.collect.ForwardingMultimap
`asMap, clear, containsEntry, containsKey, containsValue, equals, hashCode, isEmpty, keys, keySet, put, putAll, putAll, remove, size, values`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.common.collect.SortedSetMultimap
`asMap`

Methods inherited from interface com.google.common.collect.SetMultimap
`entries, equals`

Methods inherited from interface com.google.common.collect.Multimap
`clear, containsEntry, containsKey, containsValue, hashCode, isEmpty, keys, keySet, put, putAll, putAll, remove, size, values`

Constructor Detail

### ForwardingSortedSetMultimap

    protected ForwardingSortedSetMultimap()

  Constructor for use by subclasses.

Method Detail

### delegate

    protected abstract SortedSetMultimap<K,V> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingSetMultimap<K,V>`

### get

    public SortedSet<V> get(@Nullable
                            K key)

  Description copied from interface: `Multimap`
  Returns a collection view of all values associated with a key. If no mappings in the multimap have the provided key, an empty collection is returned.

  Changes to the returned collection will update the underlying multimap, and vice versa.

  Specified by:
    `get` in interface `Multimap<K,V>`
  Specified by:
    `get` in interface `SetMultimap<K,V>`
  Specified by:
    `get` in interface `SortedSetMultimap<K,V>`
  Overrides:
    `get` in class `ForwardingSetMultimap<K,V>`
  Parameters:
    `key` - key to search for in multimap
  Returns:
    the collection of values that the key maps to

### removeAll

    public SortedSet<V> removeAll(@Nullable
                                  Object key)

  Description copied from interface: `Multimap`
  Removes all values associated with a given key.

  Specified by:
    `removeAll` in interface `Multimap<K,V>`
  Specified by:
    `removeAll` in interface `SetMultimap<K,V>`
  Specified by:
    `removeAll` in interface `SortedSetMultimap<K,V>`
  Overrides:
    `removeAll` in class `ForwardingSetMultimap<K,V>`
  Parameters:
    `key` - key of entries to remove from the multimap
  Returns:
    the collection of removed values, or an empty collection if no values were associated with the provided key. The collection may be modifiable, but updating it will have no effect on the multimap.

### replaceValues

    public SortedSet<V> replaceValues(K key,
                                      Iterable<? extends V> values)

  Description copied from interface: `Multimap`
  Stores a collection of values with the same key, replacing any existing values for that key.

  Specified by:
    `replaceValues` in interface `Multimap<K,V>`
  Specified by:
    `replaceValues` in interface `SetMultimap<K,V>`
  Specified by:
    `replaceValues` in interface `SortedSetMultimap<K,V>`
  Overrides:
    `replaceValues` in class `ForwardingSetMultimap<K,V>`
  Parameters:
    `key` - key to store in the multimap
    `values` - values to store in the multimap
  Returns:
    the collection of replaced values, or an empty collection if no values were previously associated with the key. The collection may be modifiable, but updating it will have no effect on the multimap.

### valueComparator

    public Comparator<? super V> valueComparator()

  Description copied from interface: `SortedSetMultimap`
  Returns the comparator that orders the multimap values, with `null` indicating that natural ordering is used.

  Specified by:
    `valueComparator` in interface `SortedSetMultimap<K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.